Skip to Content
SeyloDocs

Check the GitHub owner sign-up

POST
/api/v1/setup.githubPoll

Polls the device flow. With status done it uses up the setup token, creates the owner from the GitHub account (primary verified email) and signs them in.

Needs no sign-in. Not available to MCP clients or the assistant.

Request Body

application/json
  1. body
token*string

The t= value of the installer's setup link.

Length1 <= length <= 200
ticket*string
Length1 <= length <= 200

Response Body

Success.

application/json
  1. response
status*string|string|string|string|string
intervalSeconds*integer
Range1 <= value
viewer?
Example Request
curl -X POST 'https://example.com/api/v1/setup.githubPoll' \  -H 'Content-Type: application/json' \  -d '{  "token": "string",  "ticket": "string"}'
Example Response
{  "status": "pending",  "intervalSeconds": 1,  "viewer": {    "id": "string",    "email": "[email protected]",    "name": "string",    "role": "owner"  }}